Repository 32bit  Forum
Repository 64bit  Wiki

Eterm e Slackware14

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Eterm e Slackware14

Messaggioda cymon » dom gen 13, 2013 11:24

Qualcuno ha provato a mettere Eterm sulla 14?
Io ci sono impazzito una sera senza risultato...

Avevo compilato e installato libast, ma poi compilato Eterm si lamentava di qualcosa, che, ho capito, si riferiva a imlib2. Ho installato imlib2 e il problema non si è risolto, così mi sono convinto che dovevo ricompilare libast con la dipendenza di imlib2 soddisfatta. Peccato che, a riprovare a lanciare la compilazione di libast quello adesso si lamenti di un file libfreetype.la che non si risolve installando freetype (perché mi sembra di aver capito leggendo in internet che è cambiata la struttura di freetype). Comincio a pedere le speranze... :(
Avatar utente
cymon
Linux 2.4
Linux 2.4
 
Messaggi: 430
Iscritto il: ven gen 05, 2007 1:40
Località: Milano
Slackware: 13.1
Kernel: 2.6.33.4-smp
Desktop: Fluxbox

Re: Eterm e Slackware14

Messaggioda Amrod » dom gen 13, 2013 13:52

Eterm lo compilo per ultimo dopo aver installato tutto enlightenment quindi non ho idea delle precise dipendenze ma, a meno che non richida le EFL, dovrebbe necessitare
anche di lua-5.1.4 oltre che le libast e le imlib2. Non ti so aiutare per il problema di compilazione delle libast, non mi e' mai capitato che mi dessero errori.
Amrod
Linux 1.0
Linux 1.0
 
Messaggi: 91
Iscritto il: sab dic 09, 2006 19:03
Località: Cantu' -Co-
Slackware: x86_64 current
Desktop: Openbox

Re: Eterm e Slackware14

Messaggioda cymon » dom gen 13, 2013 18:49

La mia idea era farlo girare su Fluxbox, ma ti confesso che Enlightenment è qualcosa che sto accarezzando come prospettiva futura. Comunque adesso ho mandato tutto all'aria di nuovo, vedrò di ricordarmi lua quando tornerò sull'argomento.
Avatar utente
cymon
Linux 2.4
Linux 2.4
 
Messaggi: 430
Iscritto il: ven gen 05, 2007 1:40
Località: Milano
Slackware: 13.1
Kernel: 2.6.33.4-smp
Desktop: Fluxbox

Re: Eterm e Slackware14

Messaggioda edo » lun gen 14, 2013 3:10

Sinceramente non ho mai avuto problemi con Eterm. Nemmeno con Slackware64 14. Nell'ordine, libast, imlib2 e infine Eterm. E' vero che anch'io ho installato enlightenment (e16), ma non mi risulta che ci sia nessuna relazione di dipendenza tra Eterm ed enlightenment (e16 o e17). C'è solo la dipendenza sia di Eterm, che di e16, rispetto a imlib2 (non per nulla, Eterm era nato come "the enlightened terminal emulator").
L' unica cosa che posso aggiungere è che ho usato gli script di Slackbuils.org. Nel caso di libast 0.7, dato che nel repo della 14 non c'è, le ho scaricate da Eterm.org e le ho pacchettizzate utilizzando lo slackbuild della Slack 13.1 (che ha funzionato benissimo), mentre per imlib2 ho potuto usare direttamente sbopkg.
Ciao

Edo

P.S. se guardi i file readme e info di slackbuilds, sia per libast, che per imlib2, non trovi nessuna dipendenza
edo
Linux 1.0
Linux 1.0
 
Messaggi: 35
Iscritto il: sab lug 15, 2006 13:25

Re: Eterm e Slackware14

Messaggioda cymon » lun gen 14, 2013 21:57

Si alla fine avevo fatto principalmente casino io...
installando imlib2, compilando libast e poi compilando Eterm alla fine sono riuscito a metterlo su pulito...

E' che erano anni che non facevo un major upgrade e sono decisamente arrugginito...
Avatar utente
cymon
Linux 2.4
Linux 2.4
 
Messaggi: 430
Iscritto il: ven gen 05, 2007 1:40
Località: Milano
Slackware: 13.1
Kernel: 2.6.33.4-smp
Desktop: Fluxbox


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron